<?php 
/**
 * $caching
 * $ordering
 * $count
 * $featured
 *
 * // Display parameters
 * $moduleclass_sfx
 * $layout 
 * $add_ccs
 * $add_tooltips
 * $width
 * $height
 * // standard
 * $display_title
 * $link_title
 * $display_text
 * $mod_readmore
 * $mod_use_image
 * $mod_image
 * $mod_link_image
 * $mod_width
 * $mod_height
 * $mod_method
 * // featured
 * $display_title_feat 
 * $link_title_feat 
 * $display_text_feat 
 * $mod_readmore_feat
 * $mod_use_image_feat 
 * $mod_link_image_feat 
 * $mod_width_feat 
 * $mod_height_feat 
 * $mod_method_feat 
 *
 * // Fields parameters
 * $use_fields 
 * $display_label 
 * $fields 
 * // featured
 * $display_label_feat 
 * $fields_feat 
 *
 * // Custom parameters
 * $custom1 
 * $custom2 
 * $custom3 
 * $custom4 
 * $custom5 
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

global ${$layout};

if ($add_tooltips)
	JHTML::_('behavior.tooltip');
	
$display_date = $params->get('display_date', 1);
$twocols = $params->get('item_columns', 1) == 2;
?>

<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
<?php
// add a custom Javascript file to page head
$doc =& JFactory::getDocument();
$document->addScript('modules/mod_flexicontent/tmpl/slideshow/js/iCarousel-full.js');
?>
<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->

<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
<?php
// add a custom Javascript file to page head
$doc =& JFactory::getDocument();
$document->addScript('modules/mod_flexicontent/tmpl/slideshow/js/iCarousel-full-config.js');
?>
<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->

<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
<?php
$doc =& JFactory::getDocument();
$doc->addStyleSheet( JURI::root( true ).'/modules/mod_flexicontent/tmpl/slideshow/css/iCarousel-full.css' );
?>
<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->

<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
<div class="slideshow-template <?php echo $moduleclass_sfx; ?>" id="slideshow-template-<?php echo $module->id ?>">
<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
	<?php
	
	if ($catdata) {
		echo "<div class='currcatdata' style='clear:both; float:left;'>\n";
		if ($params->get('currcat_showtitle', 0)) {
			echo "<div class='currcattitle'>\n";
			if (isset($catdata->titlelink)) {
				echo "<a href='{$catdata->titlelink}'>".$catdata->title."</a>";
			} else {
				echo $catdata->title;
			}
			echo "</div>\n";
		}
		if (isset($catdata->image)) {
			echo "<div class='image_currcat'>";
			if (isset($catdata->imagelink)) {
				echo "<a href='{$catdata->imagelink}'>";
			}
			echo "<img src='{$catdata->image}' alt='".flexicontent_html::striptagsandcut($catdata->title, 60)."' />\n";
			if (isset($catdata->imagelink)) {
				echo "</a>";
			}
			echo "</div>\n";
		}
		if (isset($catdata->description)) {
			echo "<div class='currcatdescr'>". $catdata->description ."</div>\n";
		}
		echo "<div class='modclear'></div>\n";
		echo "</div>\n";
		echo "<div class='modclear'></div>\n";
	}

	$ord_titles = array(
		'popular'=>JText::_( 'FLEXI_MOST_POPULAR'),
		'commented'=>JText::_( 'FLEXI_MOST_COMMENTED'),
		'rated'=>JText::_( 'FLEXI_BEST_RATED' ),
		'added'=>	JText::_( 'FLEXI_RECENTLY_ADDED'),
		'updated'=>JText::_( 'FLEXI_RECENTLY_UPDATED'),
		'alpha'=>	JText::_( 'FLEXI_ALPHABETICAL'),
		'alpharev'=>JText::_( 'FLEXI_ALPHABETICAL_REVERSE'),
		'catorder'=>JText::_( 'FLEXI_CAT_ORDER'),
		'random'=>JText::_( 'FLEXI_RANDOM' ),
		 0=>'Default' );
	
	$separator = "";
	$rowtoggler = 0;
	foreach ($ordering as $ord) :
			
  	echo $separator;
	  if (isset($list[$ord]['featured']) || isset($list[$ord]['standard'])) {
  	  $separator = "<div class='ordering_seperator' ></div>";
    } else {
    	//continue;
  	  $separator = "";
  	}
	?>
	<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
	<div id="slideShowTemplate" class="slideshow-template-content<?php echo ($twocols) ? ' twocol' : ''; ?>">
	<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
		
		<?php
		if ($ordering_addtitle && $ord) echo "<div class='order_group_title'> ".$ord_titles[$ord]." </div>";
		
		if (isset($list[$ord]['featured'])) :
		?>
		"This module does not work with featured articles"
		<?php endif; ?>

		<?php
		if (isset($list[$ord]['standard'])) :
			$rowtoggler = 0;
		?>
		<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
		<ul id="slideShowTemplateContainer"> 
		<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
			<?php foreach ($list[$ord]['standard'] as $item) : ?>
			<?php $rowtoggler = !$rowtoggler; ?>
			<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
			<li class="slideShowTemplateContainer-ul <?php echo ($rowtoggler)?'odd':'even'; ?>">
			<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
				<?php if ($mod_use_image && $item->image) : ?>
				<div class="image_standard">
					<?php if ($mod_link_image) : ?>
					<a href="<?php echo $item->link; ?>"><img src="<?php echo $item->image; ?>" alt="<?php echo flexicontent_html::striptagsandcut($item->fulltitle, 60); ?>" /></a>
					<?php else : ?>
					<img src="<?php echo $item->image; ?>" alt="<?php echo flexicontent_html::striptagsandcut($item->fulltitle, 60); ?>" />
					<?php endif; ?>
				</div>
				<?php endif; ?>
				<?php if ($display_title || $display_date || $display_text || $mod_readmore || ($use_fields && @$item->fields && $fields)) : ?>
				<div class="content_standard">
					
					<div class="content_gallery">
					<?php if ($display_title) : ?>
					<div class="news_title">
						<?php if ($link_title) : ?>
						<a href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
						<?php else : ?>	
						<?php echo $item->title; ?>
						<?php endif; ?>
					</div>
					<?php endif; ?>
					
					<?php if ($display_date) : ?>
					<div class="news_date">
						<?php echo $item->date; ?>
					</div>
					<?php endif; ?>
					
					<?php if ($display_text && $item->text) : ?>
					<div class="news_text">
						<?php echo $item->text; ?>
					</div>
					</div>
					<?php endif; ?>
					<?php if ($use_fields && @$item->fields && $fields) : ?>
					<div class="news_fields">
						<?php foreach ($item->fields as $k => $field) : ?>
						<div class="field_block field_<?php echo $k; ?>">
							<?php if ($display_label) : ?>
							<span class="field_label"><?php echo $field->label . $text_after_label; ?></span>
							<?php endif; ?>
							<div class="field_value"><?php echo $field->display; ?></div>
						</div>
						<?php endforeach; ?>
					</div>
					<?php endif; ?>
					<?php if ($mod_readmore) : ?>
					<div class="news_readon">
						<a href="<?php echo $item->link; ?>"><span><?php echo JText::sprintf('Read more...'); ?></span></a>
					</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			</li>
			<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
			<?php // echo (!$rowtoggler) ? '<div class="modclear"></div>' : ''; ?> 
			<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
			<?php endforeach; ?>
		</ul>
		<?php endif; ?>
		
		<div class="modclear"></div>

	
	<?php endforeach; ?>
<!----------------Start------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
	<div id="slideShowTemplate_frame">  
			<ul> 
			<?php $posicao=0; ?>
			<?php foreach ($list[$ord]['standard'] as $item) : ?>			
					<li><a href="#" id="thumb<?php echo $posicao ?>"><?php echo $posicao+1 ?></a></li>  
			<?php ++$posicao; ?>
			<?php endforeach; ?> 
			</ul>  
		</div>  
<!----------------End--------ALGARWEB-----------------CUSTOM FCSLIDESHOW-------->
</div>
<?php if ($show_more == 1) : ?>
	<div class="news_readon_module">
	  <div class="news_readon<?php echo $params->get('moduleclass_sfx'); ?>"<?php if ($more_css) : ?> style="<?php echo $more_css; ?>"<?php endif;?>>
		  <a class="readon" href="<?php echo JRoute::_($more_link); ?>" <?php if ($params->get('more_blank') == 1) {echo 'target="_blank"';} ?>><span><?php echo JText::_($more_title); ?></span></a>
	 </div>
	</div>
	<?php endif;?>
</div>